Subject: Re: [PATCH 3/6] Make showdate use "Linus format"

From: Dan Holmsand <[email-masked]>
Date: Sat, 11 Jun 2005 10:28:56 +0200

Petr Baudis wrote:
> Thanks, applied.
> 
> Dear diary, on Thu, Jun 09, 2005 at 01:19:30PM CEST, I got a letter
> where Dan Holmsand <[email-masked]> told me that...
> 
>>This makes showdate use the same date format as
>>git-rev-list --pretty, and gives some speedup. It might also
>>be more portable.
> 
> 
> I dropped the format change bit, because I really think the Linus' date
> format is bad. The current standardized, international and most widely
> used (even your mailer agent used it in your Date: header) date format
> is RFC 822, so please let's stick with it. It's perfect for our use, and
> better human-readable too. The date part isn't split all around but
> concentrated in the first half while the second half is dedicated to
> time.

Ok, I really have nothing against RFC822. But if Linus' format is bad, 
then git-rev-list --pretty should be fixed (or, rather, date.c). It 
doesn't make any sense to me to have different formats between cogito 
and core git.

And I'd really, really like to use as much of git-rev-list --pretty 
output as possible in cg-log. That makes the whole thing some orders of 
magnitude faster, and thus more usable.

>>Note that this changes the calling convention: the previous
>>version used seconds from $1, but timezone from the global
>>variable $date. cg-mkpatch is modified to the new way.
> 
> 
> You forgot to modify cg-log accordingly. (I fixed that.)

Thanks. I did the "hope he takes my other patch too" thing... Sorry 
'bout that.

/dan